package org.bench4q.share.models.agent.scriptrecord;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "page")
public class PageModel {
	private int id;
	private List<BatchModel> batches;

	@XmlElementWrapper(name = "batches")
	@XmlElement(name = "batch")
	public List<BatchModel> getBatches() {
		return batches;
	}

	public void setBatches(List<BatchModel> batches) {
		this.batches = batches;
	}
	
	@XmlElement
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	public PageModel(){
		this.setBatches(new ArrayList<BatchModel>());
	}
	public PageModel(int id) {
		this.id = id;
		this.setBatches(new ArrayList<BatchModel>());
	}
}
